Package org.apache.tools.ant.taskdefs

## Class Recorder.VerbosityLevelChoices

- java.lang.Object
- - org.apache.tools.ant.types.EnumeratedAttribute
  - - org.apache.tools.ant.types.LogLevel
    - - org.apache.tools.ant.taskdefs.Recorder.VerbosityLevelChoices

- Enclosing class:
    Recorder

      public static class Recorder.VerbosityLevelChoices
      extends LogLevel

  A list of possible values for the `setLoglevel()` method. Possible values include: error, warn, info, verbose, debug.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tools.ant.types.LogLevel

      `DEBUG, ERR, INFO, VERBOSE, WARN`

    - ### Fields inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `value`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VerbosityLevelChoices()` |

  - ### Method Summary

    - ### Methods inherited from class org.apache.tools.ant.types.LogLevel

      `getLevel, getValues`

    - ### Methods inherited from class org.apache.tools.ant.types.EnumeratedAttribute

      `containsValue, getIndex, getInstance, getValue, indexOfValue, setValue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VerbosityLevelChoices

          public VerbosityLevelChoices()